Good News for Leopard Users - 2.6.0 is available on OS X 10.5

I'm very happy to announce that FlightGear 2.6.0 is now available on Mac OS X 10.5. Please go visit Downloads page and get FlightGear 2.6.0 for OS X 10.5.

I'll add some note on this issue, but just a quick announcement for now.